import os

# strips the extension from each name
def strip_extension(input_string, maxsplits):
    output = input_string.rsplit(".", maxsplits)[0]
    return output

# strips any extraneous white space from each name
def strip_space(tostrip):
    tostrip = tostrip.lstrip()
    tostrip = tostrip.rstrip()
    return tostrip

package_path = os.path.dirname(os.path.realpath(__file__))
external_names = os.listdir(f'{package_path}/externals/')
file_name = os.path.basename(__file__)

init_path = f'{package_path}/init'

f = open(f'{init_path}/fluid-objectmappings.txt', 'w+')

for names in external_names:
    if names != file_name and names != '.DS_Store':
        names = strip_extension(names, 1)
        names = strip_space(names)
        alias = names.replace('fluid.', 'fcm.')
        f.write(f'max objectfile {alias} {names}; \n')

f.close()

print('*' * 40)
print('Mappings created')
print('*' * 40)





